::-webkit-scrollbar {
    height: 10px;
    width: 10px;
}

/* Handle */
::-webkit-scrollbar-thumb {
    background: #8a8596;
    border-radius: 10px;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
    background: #9187ac;
}

/* Track */
::-webkit-scrollbar-track {
    box-shadow: inset 0 0 5px #a1a1a1;
    border-radius: 10px;
}

.k-pdf-export {
    font-family: 'Arial' !important;
}

.k-pdf-export .kendo-export-i {
    font-size: 15px;
    margin-right: 15px;
    margin-left: -15px;
}

table input[type='checkbox'] {
    width: 15px;
    height: 15px;
    cursor: pointer;
}

#datatable_wrapper .buttons-columnVisibility,
#datatable_dispatch_confirmed_wrapper .buttons-columnVisibility,
#datatable_packing_finish_wrapper .buttons-columnVisibility,
#datatable_extra_wrapper .buttons-columnVisibility {
    padding: 1px 8px !important;
    border: 0px !important;
    background: none !important;
    box-shadow: none !important;
    text-align: left !important;
    color: #000000c4 !important;
    font-weight: 600 !important;
    text-decoration-line: line-through !important;
}
#datatable_wrapper > div.dt-buttons.btn-group > div > .active,
#datatable_dispatch_confirmed_wrapper > div.dt-buttons.btn-group > div > .active,
#datatable_packing_finish_wrapper > div.dt-buttons.btn-group > div > .active,
#datatable_extra_wrapper > div.dt-buttons.btn-group > div > .active {
    box-shadow: none !important;
    border: none !important;
    background: none !important;
    text-align: left !important;
    font-style: normal !important;
    font-weight: 400 !important;
    font-size: 14px !important;
    line-height: 140% !important;
    color: #000000c4 !important;
    padding: 1px 8px !important;
    text-decoration-line: none !important;
}

#datatable_wrapper div.dt-button-collection {
    border-radius: 0px !important;
    border: none !important;
    box-shadow: 2px 4px 10px rgb(0 0 0 / 17%) !important;
}

.font-family-arial {
    font-family: Arial;
}

.border-top-1 {
    border-top: 1px solid black !important;
}

.overflow-hidden {
    overflow: hidden;
}

.left-side-menu {
    position: fixed !important;
}

.fe-settings {
    cursor: pointer;
}
.fe-settings:hover {
    color: #e20613;
}

.cursor-not-allow {
    cursor: not-allowed !important;
    background-color: #f7f3f3 !important;
}

.flatpickr-calendar.animate.open {
    z-index: 1 !important;
}

.tr-select-bg-color {
    background-color: #ffc10794;
}

select option {
    background: rgb(255, 255, 255);
    color: #111010;
    text-shadow: 0 1px 0 rgba(0, 0, 0, 0.4);
}

select option:checked {
    background: #ddd;
}

.line-hr {
    border-bottom: solid #e0e2e4 2px;
    left: 18px;
}

a.buttons-columnVisibility {
    padding-bottom: 3px;
    padding-top: 3px;
}

.page-title {
    font-weight: 700 !important;
}

i.vis-password {
    margin-left: -30px;
    cursor: pointer;
}

input.form-control-include {
    display: unset !important;
}

.footer-bottom {
    padding: 0;
    width: 100%;
    left: 0;
}

.footer-left-img {
    height: 120px;
}

.display-flex {
    display: flex;
}

.item-hide {
    display: none !important;
}

.logo-box-1 {
    transition: all 400ms cubic-bezier(0.55, 0, 0.1, 1);
}

.list-unstyled-1 {
    transition: all 400ms cubic-bezier(0.55, 0, 0.1, 1);
}

.blockUI {
    border: none !important;
}

.table-content {
    min-height: 500px;
}

.scrollToTop {
    width: 40px;
    height: 40px;
    display: none;
    position: fixed;
    bottom: 20px;
    right: 30px;
    z-index: 99;
    border: none;
    outline: none;
    background-color: rgba(41, 41, 41, 0.82);
    color: white;
    cursor: pointer;
    border-radius: 50%;
    font-size: 26px;
    text-align: center;
}

.scrollToTop > i {
    position: absolute;
    width: 100%;
    height: 100%;
    left: 0;
    top: 5px;
    transition: all 0.3s ease 0s;
}

.scrollToTop:hover {
    color: rgba(229, 228, 228, 0.87);
    background: #161616;
}

.scrollToTop > i:hover {
    top: 2px;
}

select {
    cursor: pointer;
}

.row {
    background: transparent !important;
}

.xzoom {
    -webkit-box-shadow:
        0 0px 1px 0 rgba(0, 0, 0, 0.2),
        0 4px 8px 0 rgba(0, 0, 0, 0.1) !important;
    -moz-box-shadow:
        0 0px 1px 0 rgba(0, 0, 0, 0.2),
        0 4px 8px 0 rgba(0, 0, 0, 0.1) !important;
    box-shadow:
        0 0px 1px 0 rgba(0, 0, 0, 0.2),
        0 4px 8px 0 rgba(0, 0, 0, 0.1) !important;
}
label.error {
    color: red;
}
.select2-container--default .select2-selection--multiple .select2-selection__choice {
    background-color: #7e57c2;
}
.select2-selection__choice__remove {
    color: #fffafd !important;
}
.close-jq-toast-single {
    top: -7px !important;
    right: -7px !important;
}

.close-jq-toast-single {
    height: 23px;
    width: 23px;
    background-color: #323a46;
    border-radius: 50%;
    text-align: center;
    line-height: 23px;
}

.btn-group {
    cursor: pointer;
}

input[readonly] {
    cursor: pointer;
}

select[name='datatable_length'],
select[name='order_datatable_length'] {
    font-size: 13px;
    font-weight: 600;
}

.mt-6 {
    margin-top: 10rem !important;
}

.mb-6 {
    margin-bottom: 10rem !important;
}

button.disabled,
button:disabled {
    cursor: not-allowed;
}

.form-control:disabled,
.form-control[readonly] {
    background-color: #f4f4f4 !important;
    opacity: 1;
    cursor: not-allowed;
}

.w-180 {
    width: 180px !important;
}

.border-mute {
    border-top: 1px solid #dee2e6;
}
.btn-no-hover {
    pointer-events: none;
}

.notification-list .noti-icon-badge {
    display: inline-block;
    position: absolute;
    top: 17px;
    right: 4px;
}

.custom-noti-icon {
    font-size: 25px !important;
    color: #373737;
}

.bottom-flex {
    bottom: 2.5rem;
}

.bottom-0 {
    bottom: 0;
}

.badge {
    font-size: 0.8rem;
    font-weight: 100;
    margin-right: 0.2rem;
}
.require_error {
    color: #e6334d;
    font-weight: 600;
}
.span-include {
    background-color: #33cbe6;
    color: white;
    font-size: 13px;
    border-radius: 100px;
    font-weight: 500;
}

.page-item.active .page-link {
    background-color: #e20613 !important;
    border-color: #6b6b6b !important;
}

.bootstrap-select .dropdown-menu {
    z-index: 1 !important;
}

.dropdown-item {
    cursor: pointer !important;
}

.buttons-colvis {
    border-radius: 30px;
    background-color: black !important;
}

.dataTables_length {
    margin-top: 8px;
}

.btn-danger {
    background-color: #e20613;
}

.btn-add-basket {
    width: 140px !important;
}

.btn-normal {
    background-color: #e20613;
    color: white;
    font-size: 16px;
    width: 128px;
    border-radius: 4px;
    font-weight: 700;
    box-shadow: 0px 16px 24px -16px rgba(210, 14, 14, 0.42);
}

#sidebar-menu li a:hover {
    background-color: rgb(177 170 170 / 18%);
    color: #ffd15e !important;
}

.btn-cancel {
    background-color: #505050;
    color: white;
    font-size: 16px;
    width: 128px;
    border-radius: 4px;
    font-weight: 700;
    box-shadow: 0px 16px 24px -16px rgba(210, 14, 14, 0.42);
}

.bootstrap-select .dropdown-toggle {
    border: 1px solid #ced4da;
    border-radius: 0.2rem;
}

.bootstrap-select .dropdown-toggle:focus {
    outline: none !important;
}

.btn-normal:hover {
    background-color: #e20613;
    box-shadow: 0px 14px 24px -14px rgba(210, 14, 14, 0.7);
}

.bg-col-normal {
    background-color: #e20613;
}

.nav-bordered a.active {
    border-bottom: 2px solid #e20613 !important;
}

option {
    font-size: 1rem;
}

input {
    background: #f7f7f7;
    box-shadow: inset 1px 1px 4px rgba(0, 0, 0, 0.12);
}

.footer {
    padding: 0;
}

.has-error {
    border: solid 1px red;
    outline-color: red;
    border-radius: 5px;
}

.has-error:active {
    border: solid 1px red;
}

.has-error:focus {
    border: solid 1px red;
}

.cursor-point {
    cursor: pointer;
}

.title-underline {
    width: 100px;
    height: 2px;
    background: linear-gradient(
        90deg,
        rgba(255, 255, 255, 0.5) 0%,
        #ffffff 0.01%,
        #e20613 50%,
        #ffffff 100%
    );
}

.footer-top-underline {
    width: auto;
    height: 2px;
    background: linear-gradient(
        90deg,
        rgba(255, 255, 255, 0.5) 0%,
        #ffffff 0.01%,
        #e20613 50%,
        #ffffff 100%
    );
}

.footer-left-underline {
    border-left: 3px solid;
    padding-left: 30px !important;
    border-image: linear-gradient(
            0deg,
            rgba(255, 255, 255, 0.5) 0%,
            #ffffff 1%,
            #000000 50%,
            #ffffff 100%
        )
        1 100%;
}

.footer-social-icon-anchor {
    color: #6c757d;
    font-size: 20px;
    margin-right: 7px;
}

.footer-social-icon-anchor:hover {
    color: #000000;
}

.span-underline {
    text-decoration: underline;
}

.mobileShow {
    display: none;
}

.hr-top-border {
    border-top: 1px solid rgba(224, 224, 224, 1);
}

.text-black-100 {
    color: #000000;
}

.text-black-80 {
    color: #363434;
}

.text-black-70 {
    color: #4d4b4b;
}

.hr-border-bottom {
    border-bottom: 2px solid #c1c1c19c;
}

.select2-container--default .select2-selection--multiple .select2-selection__choice {
    background-color: #3a3a3a;
    box-shadow: inset 1px 1px 4px rgba(0, 0, 0, 0.12);
}
.select2-container {
    background: #f7f7f7;
    box-shadow: inset 1px 1px 4px rgba(0, 0, 0, 0.12);
}
.select2-selection--single {
    height: 40px !important;
    border-color: #ced4da !important;
    box-shadow: inset 1px 1px 4px rgba(0, 0, 0, 0.12);
}
.select2-container--default .select2-selection--single .select2-selection__arrow {
    top: 6px !important;
}
.select2-container--default .select2-selection--multiple .select2-selection__rendered {
    height: 32px;
    padding: 3px 5px;
}

.list-unstyled-1 {
    padding-left: 0;
    list-style: none;
    margin-top: 25px;
    margin-right: 6vw;
}
.border-radius-10 {
    border-radius: 10px !important;
}

.logo-box-1 {
    height: 70px;
    float: left;
    margin-top: 25px;
    margin-left: 6vw;
}

span.title-3 {
    font-size: 12px;
}

.content-page-1 {
    overflow: visible;
    padding: 0 15px 5px 15px;
    min-height: 50vh;
}

.btn-third {
    width: 173px;
    height: 45px;
    background: #ffffff;
    font-weight: 600;
    border: 2px solid #bbbdbe;
    box-sizing: border-box;
    border-radius: 4px;
    color: #1a1e24;
}

.btn-third:hover {
    background: #e20613;
    box-shadow: 0px 16px 24px -16px rgba(210, 14, 14, 0.42);
    border-radius: 4px;
    color: white;
}

.btn-third.active:hover {
    background: #ffffff;
    color: #1a1e24;
}

.noti-slimscroll-content {
    max-height: 250px;
}

.noti-scroll {
    height: auto !important;
}

.slim-scroll {
    overflow: hidden !important;
}

.popover-body {
    cursor: pointer !important;
}

.z-index-1 {
    z-index: 1 !important;
}

.z-index-0 {
    z-index: 0 !important;
}

.z-index-2 {
    z-index: 2 !important;
}

.z-index-3 {
    z-index: 3 !important;
}

.z-index-4 {
    z-index: 4 !important;
}

.z-index-5 {
    z-index: 5 !important;
}

.z-index-6 {
    z-index: 6 !important;
}

.header-title {
    font-weight: 700;
}
.popover {
    max-width: 600px;
}

.noti-content {
    white-space: pre-line;
}

.select2-dropdown {
    z-index: 2 !important;
}

.no-dismiss-alert {
    position: relative;
    padding: 0.75rem 1.25rem;
    margin-bottom: 1rem;
    border: 1px solid transparent;
    border-radius: 0.25rem;
}

.modal-w-80 {
    width: 80% !important;
}

.modal-w-85 {
    width: 85% !important;
}

.modal-w-90 {
    width: 90% !important;
}

.modal-w-60 {
    width: 60% !important;
}

.modal-w-70 {
    width: 70% !important;
}

.modal-height-65 {
    height: 65vh !important;
    overflow-y: auto;
}

.noti-icon-alert:hover {
    color: black;
}

.bg-danger {
    background-color: #e20613 !important;
}
.bg-dark {
    background-color: #292929 !important;
}

.text-danger {
    color: #e20613 !important;
}

.btn-third.active {
    background: #e20613;
    box-shadow: 0px 16px 24px -16px rgba(210, 14, 14, 0.42);
    border-radius: 4px;
    color: white;
}

.file_search {
    height: 42px;
    width: 440px;
    background: url(../images/user/search.png) no-repeat scroll 10px 10px !important;
    padding-left: 35px;

    /* white */
    background: #ffffff;
    /* gray */
    border: 1px solid #bbbdbe;
    box-sizing: border-box;
    border-radius: 75px;
}

.product-link {
    cursor: pointer;
}

.fixedHeader-floating {
}

#stl_no_show_data {
    display: none;
}

.font-10 {
    font-size: 10px !important;
}

.font-12 {
    font-size: 12px;
}

table.dataTable.dtr-inline.collapsed > tbody > tr[role='row'] > td:first-child:before {
    top: 7px !important;
    height: 17px !important;
    width: 17px !important;
    color: #787878 !important;
    border: 2px solid #787878 !important;
    border-radius: 17px !important;
    box-shadow: 1px 2px 3px #d1e9ff !important;
    line-height: 17px !important;
    content: '+';
    background-color: unset !important;
    font-weight: 600 !important;
    font-size: 18px !important;
}

div.v-center {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    padding-left: 20px;
}

.product-link:hover {
    background: rgba(0, 0, 0, 0.71);
}

.product-link-arrow {
    position: absolute;
    right: 25px;
    font-weight: bold;
    font-size: 16px;
}

.file-item {
    box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.26);
    border-radius: 4px;
}

.file-item:hover {
    box-shadow: 1px 5px 5px rgba(0, 0, 0, 0.26);
}

.hit-img {
    position: absolute;
    top: 20px;
    left: 15px;
}

.card-box-shadow {
    box-shadow:
        0 0px 1px 0 rgba(0, 0, 0, 0.2),
        0 6px 20px 0 rgba(0, 0, 0, 0.19) !important;
}

.nav-pills .nav-link.active,
.nav-pills .show > .nav-link {
    color: #fff;
    background-color: grey !important;
}

.select2-container--default .select2-results__option--highlighted[aria-selected] {
    background-color: #e91e63 !important;
    color: white;
}

label {
    cursor: pointer !important;
}

.select2-container--default .select2-results__option[aria-selected='true']:hover {
    background-color: #e20613 !important;
}

.select2-container--default .select2-selection--multiple .select2-selection__choice {
    background-color: #a70c13 !important;
}
.select2-container {
    width: 100% !important;
}
.select2-selection--single {
    height: 40px !important;
    border-color: #ced4da !important;
}
.select2-container--default .select2-selection--single .select2-selection__arrow {
    top: 6px;
}
.select2-container--default .select2-selection--single .select2-selection__rendered {
    margin-top: 6px !important;
}

.select2-container--default .select2-selection--multiple .select2-selection__rendered {
    height: 32px;
    padding: 3px 5px;
}

.dropify-wrapper {
    min-width: 200px !important;
}

.sticky {
    position: fixed !important;
    height: 100px !important;
}

.overlay {
    overflow: hidden;
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    width: 100%;
    z-index: 9999;
    background-color: rgba(0, 0, 0, 0.3);
}

.overlay__content {
    top: 50%;
    position: absolute;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 90%;
    max-height: 90%;
    max-width: 800px;
    box-shadow:
        rgba(14, 30, 37, 0.12) 0px 2px 4px 0px,
        rgba(14, 30, 37, 0.32) 0px 2px 16px 0px;
}

.overlay__close {
    position: absolute;
    right: -5px;
    padding: 0.5rem;
    width: 2rem;
    top: -8px;
    height: 2rem;
    line-height: 2rem;
    text-align: center;
    background-color: white;
    cursor: pointer;
    border: 3px solid #292929;
    font-size: 1.5rem;
    margin: -1rem;
    border-radius: 2rem;
    z-index: 100;
    box-sizing: content-box;
}

.overlay__close:hover {
    background-color: rgb(230, 228, 228);
}

.overlay__content video {
    width: 100%;
    height: 100%;
}

.overlay__content canvas {
    position: absolute;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
}
ul.select2-selection__rendered {
    min-height: 35px !important;
    height: auto !important;
}

.item-badge {
    overflow: hidden;
    bottom: 20px;
    right: -320px;
    z-index: 2;
}

.item-tin-coated {
    overflow: hidden;
    bottom: -2px;
    right: 12px;
    z-index: 2;
}

.item-tin-coated-top {
    overflow: hidden;
    top: 90px;
    right: 12px;
    z-index: 2;
}

@media print {
    .card-box-shadow {
        box-shadow: unset !important;
    }
    .print-hide {
        display: none !important;
    }
}

/* Smartphone Portrait and Landscape */
@media only screen and (min-device-width: 320px) and (max-device-width: 480px) {
    .footer-left-img {
        height: 100px;
    }

    .item-badge {
        bottom: 20px;
        right: 0px;
    }

    .modal-height-65 {
        max-height: 47vh !important;
        overflow-y: scroll;
    }

    .modal-w-80 {
        width: 95% !important;
    }

    .modal-w-85 {
        width: 95% !important;
    }

    .modal-w-90 {
        width: 95% !important;
    }

    .modal-w-60 {
        width: 95% !important;
    }

    .modal-w-70 {
        width: 95% !important;
    }

    .mobileShow {
        display: block;
    }
    .mobileHide {
        display: none;
    }
    .list-unstyled-1 {
        padding-left: 0;
        list-style: none;
        margin-top: 28px;
        margin-left: -50px !important;
    }
    .noti-icon {
        margin-left: 10px;
    }

    .popover {
        max-width: 70%;
        justify-content: center;
    }

    .span-include {
        position: absolute;
        display: flow-root;
    }

    .logo-box-1 {
        height: 70px;
        width: 130px;
        float: left;
        margin-top: 30px !important;
        margin-left: 30px !important;
    }

    .logo-img {
        height: 30px;
        max-width: 140px;
    }

    .content-page-1 {
        margin-top: 110px;
    }

    .file_search {
        width: 300px;
    }

    .flatpickr-calendar.animate.open {
        z-index: 1 !important;
    }
}
